/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct SvcChgData {
    #[serde(rename = "SvcChgAcctRef", skip_serializing_if = "Option::is_none")]
    pub svc_chg_acct_ref: Option<Box<crate::models::SvcChgAcctRef>>,
    #[serde(rename = "SvcChgFlatFee", skip_serializing_if = "Option::is_none")]
    pub svc_chg_flat_fee: Option<Box<crate::models::SvcChgFlatFee>>,
    #[serde(rename = "SvcChgMethod", skip_serializing_if = "Option::is_none")]
    pub svc_chg_method: Option<Vec<crate::models::SvcChgMethod>>,
    #[serde(rename = "SvcChgTimeFrame", skip_serializing_if = "Option::is_none")]
    pub svc_chg_time_frame: Option<Box<crate::models::SvcChgTimeFrame>>,
}

impl SvcChgData {
    pub fn new() -> SvcChgData {
        SvcChgData {
            svc_chg_acct_ref: None,
            svc_chg_flat_fee: None,
            svc_chg_method: None,
            svc_chg_time_frame: None,
        }
    }
}
